gsm0610_short_term.c File Reference
`#include <assert.h>`
`#include <inttypes.h>`
`#include "floating_fudge.h"`
`#include <stdlib.h>`
`#include "spandsp/telephony.h"`
`#include "spandsp/fast_convert.h"`
`#include "spandsp/bitstream.h"`
`#include "spandsp/saturated.h"`
`#include "spandsp/gsm0610.h"`
`#include "gsm0610_local.h"`

## Macros

#define | STEP(B, MIC, INVA)

## Functions

void | gsm0610_short_term_analysis_filter (gsm0610_state_t *s, int16_t LARc[8], int16_t amp[160])
void | gsm0610_short_term_synthesis_filter (gsm0610_state_t *s, int16_t LARcr[8], int16_t wt[160], int16_t amp[160])

## Macro Definition Documentation

## STEP

#define STEP | ( |  | B,
|  |  | MIC,
|  |  | INVA )

Value:
temp1 = saturated_add16(*LARc++, MIC) << 10; \
temp1 = saturated_sub16(temp1, B << 1); \
temp1 = gsm_mult_r(INVA, temp1); \
*LARpp++ = saturated_add16(temp1, temp1);